commit:     8f763db2c039b8932b5deadafb161d35efca0b4e
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 27 13:29:43 2023 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Mon Mar 27 13:29:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f763db2

net-p2p/cpuminer-opt: add 3.22.1

Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 net-p2p/cpuminer-opt/Manifest                   |  1 +
 net-p2p/cpuminer-opt/cpuminer-opt-3.22.1.ebuild | 49 +++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/net-p2p/cpuminer-opt/Manifest b/net-p2p/cpuminer-opt/Manifest
index a231a059a090..ebc8b8afda67 100644
--- a/net-p2p/cpuminer-opt/Manifest
+++ b/net-p2p/cpuminer-opt/Manifest
@@ -1 +1,2 @@
 DIST cpuminer-opt-3.21.5.tar.gz 1795555 BLAKE2B 
835b799334445c8a0b6a531b6a270f0b3e6b2f34c9f6002e08560c57eb3beefbd41ab322fd42c6a796bf295bed2d8e182a8999b771133ae555ac335039965bfa
 SHA512 
e5aed1e9f5e181c3df76669f8c3479608ae355b5b5fd33ea1fb6c7b8338826c7a853505f975b95ce82697ed5d04b7d193c80a13a94d26e9ae7e9a42b3fc15403
+DIST cpuminer-opt-3.22.1.tar.gz 1788067 BLAKE2B 
38fd425cdfed4378c66be41ee5021bfaab47adc9c8c53f1b99b05efb30dd891bc8ca7feceb7eb8e5998cf0c8536eb582370f9955a0117917f18e451dbd90e1a6
 SHA512 
39157cd22a9923dec15e040e5aa11b28d8197fd4b906384989354d6f9f13073671264de5b8c251283ad137d778c70b36be5a3f7bc4f11555579892ee0f61cc41

diff --git a/net-p2p/cpuminer-opt/cpuminer-opt-3.22.1.ebuild 
b/net-p2p/cpuminer-opt/cpuminer-opt-3.22.1.ebuild
new file mode 100644
index 000000000000..dd862b295bd0
--- /dev/null
+++ b/net-p2p/cpuminer-opt/cpuminer-opt-3.22.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic systemd
+
+DESCRIPTION="Optimized multi algo CPU miner"
+HOMEPAGE="https://github.com/JayDDee/cpuminer-opt";
+IUSE="cpu_flags_x86_sse2 curl"
+LICENSE="GPL-2"
+SLOT="0"
+REQUIRED_USE="cpu_flags_x86_sse2"
+DEPEND="
+       dev-libs/gmp:=
+       dev-libs/jansson:=
+       >=net-misc/curl-7.15[ssl]
+       dev-libs/openssl:0=
+"
+RDEPEND="${DEPEND}"
+if [[ ${PV} == "9999" ]] ; then
+       SRC_URI=""
+       EGIT_REPO_URI="https://github.com/JayDDee/${PN}.git";
+       inherit git-r3
+else
+       KEYWORDS="~amd64"
+       SRC_URI="https://github.com/JayDDee/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+fi
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       append-ldflags -Wl,-z,noexecstack
+       econf --with-crypto --with-curl
+}
+
+src_install() {
+       default
+       systemd_dounit "${FILESDIR}"/${PN}.service
+       insinto "/etc/${PN}"
+       doins cpuminer-conf.json
+}
+
+src_test() {
+       ./cpuminer --cputest || die
+}

Reply via email to